Bug 39560 - UI: Columns in Format-Page-Columns-dialog are equalized in some situations
Summary: UI: Columns in Format-Page-Columns-dialog are equalized in some situations
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 112217 (view as bug list)
Depends on:
Blocks: Page-Style-Dialog Page-Layout-Columns
  Show dependency treegraph
 
Reported: 2011-07-26 08:48 UTC by Manuel Reimer
Modified: 2019-10-20 00:06 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document, see Comment 1 (8.34 KB, application/vnd.oasis.opendocument.text)
2011-07-27 05:44 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Reimer 2011-07-26 08:48:05 UTC
I have the following bug, which makes it impossible for me to create a template for a flyer, I want to get printed by a professional print service.

Maybe you have to set your Measurement unit to "Centimeter" to be able to reproduce.

- At first, create a new text document
- Now go over "Format" and choose "Page"
- Switch to tab "Page"
- Choose "Landscape" as Orientation and enter the following values:
   Width: 39,9cm
   Height: 21,2cm
- Set all Margins to zero

- Now switch to the tab "Borders"
- Set a border of 0,5cm all around the page (keep "Synchronize" checked). For some reason, I have to choose a 0,05pt white line for the settings to take affect. Maybe this is a second bug.

- Now switch to "Columns" tab
- Set "Columns" to 4
- Enter the following values for the columns
Column    1           2           3           4
Width    9,9cm       9,4cm       9,4cm       10cm
Spacing        0,4cm       0,4cm       0,4cm
- Click "OK" in the "Page Style" dialog

The document gets created the way I expect it to be. Now, again, go over "Format" -> "Page" to display the "Page Style" dialog, again. Switch to "Columns" and you'll see that the values, we entered, are gone. Now "Width" is the same for each column.

Worst thing is that the values aren't saved to the ODT file, also.

I'm using LibreOffice 3.3.3 on Linux.
Someone else was able to reproduce this bug on Windows 7 with LibO 3.4.2RC2, so this version is also affected.
Comment 1 Rainer Bielefeld Retired 2011-07-27 05:42:25 UTC
[Reproducible] with "LibreOffice 3.4.1 RC3 - WIN7  Home Premium (64bit) German UI [OOO340m1 (Build:203)]" with Mnu 'Format -> Page -> Columns', but not with 'Format -> Columns'.

Also because there is a simple workaround "use Menu 'Format -> Columns'", but also because it's severity this one is not a blocker, and I doubt a "Most Annoying" one.

I will attach a sample document to ease experiments.
Short summary: If you set Columns width to 95mm - 96mm - 97mm - autocalculated and close dialog 'Format - Page - Column', after reopen you will see the same value (96,xx mm) in all width fields. If you close without change, open menu 'Format -> Columns', you still see the correct values for columnd widths.

@Manuel Reimer:
May I ask you to read the blocker definitions on <http://wiki.documentfoundation.org/Release_Criteria#Blocker_Bug_Nomination>?
If you want to add a Bug to "Most annoying" ones, please do that in that "Most annoying" bug with a brief reason description. 

Please add information concerning your OS!

@Cédric:
Please feel free to reassign if it’s not your area!
Comment 2 Rainer Bielefeld Retired 2011-07-27 05:44:04 UTC
Created attachment 49612 [details]
Sample Document, see Comment 1
Comment 3 Manuel Reimer 2011-07-28 04:29:46 UTC
Sorry, but for me this bug is more than just "normal importance".

Your workaround means not just to use "Format -> Columns" but also "and then never use Format -> Page again". As soon as I do so and press "OK", the values in "Format -> Columns" are broken, again.

If I start entering the values of my sample columns in the bug report, then one additional interesting thing happens: The last value for column width (which I plan to set to 10) is pre-filled with 9,5. For me this seems like LibreOffice only uses the page borders once when calculating the column widths. Either the left or the right border isn't used for calculating those values. I can enter 10 there without any problems.

Either both borders should be used while column width calculating or none of them.

Second interesting thing: Anything works the way it should, if no page borders are used. Disabling them does the trick but makes LibreOffice useless in my case.

Still think this one should have higher priority. IMHO a major feature is broken.
Comment 4 Rainer Bielefeld Retired 2011-07-28 05:32:00 UTC
@Manuel:
Yes, indeed, the workaround only helps until next modification of any page property, that modification will again equalize column widths.

Bay be I will think about "Major", but I just tested OOo 3.1.1 and it showed the same behavior, and I did not see a report anywhere. Not many users affected -> low priority. 

Can we summarize for general use a new subject line:
Any modification in 'Format -> Page' will equalize column widths?
Comment 5 Björn Michaelsen 2011-12-23 13:22:40 UTC
Since all new unconfirmed bugs start in state UNCONFIRMED now and old unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs promoted above those bug states to NEW and later are automatically confirmed making the CONFIRMED whiteboard status redundant. Thus it will be removed.
Comment 6 Rainer Bielefeld Retired 2011-12-27 22:53:27 UTC
Still [Reproducible] with Parallel Dev-Installation of  "LibreOffice 3.5.0 Beta2- WIN7 Home Premium (64bit) German UI [Build-ID : 8589e48-760cc4d-f39cf3d-1b2857e-60db978] and sample.
Comment 7 bfoman (inactive) 2014-02-20 18:27:27 UTC
This bug lost its owner - back to NEW.
Comment 8 Joel Madero 2015-05-02 15:40:52 UTC Comment hidden (obsolete)
Comment 9 Gordo 2015-06-02 16:40:16 UTC
Still reproducible.

No Border:
1. New Text Document.
2. Format → Page → Page tab, set Width to 21.00 cm and margins to 2.00 cm.
3. On Columns tab, set Columns to 2 and uncheck AutoWidth.
4. Set Spacing to 1.00 cm and the column Width for each column to 8.00 cm and OK.
Result:
If you go back into the Page dialogue then all the settings are correct.
Page Width:  21.00 cm
================
Left Margin:  2.00 cm
Right Margin:  2.00 cm
No Border:  0.00 cm
First Column:  8.00 cm
Column Spacing:  1.00 cm
Second Column:  8.00 cm
================
Total:  21.00 cm

Border with only Spacing to Contents on the Left:
1. Using previous test, Format → Page → Borders tab, “Set All Four Borders”.
2. In Spacing to Contents Left change to 0.00 cm so that all of them change.
3. Uncheck Synchronise.
4. In Spacing to Contents Left change to 1.00 cm.
5. On Columns tab, notice the Width is now 7.50 cm for each column and the Spacing is 1.00 cm and OK.
Result:
If you go back into the Page dialogue then all the settings are correct.
Page Width:  21.00 cm
================
Left Margin:  2.00 cm
Right Margin:  2.00 cm
Border Spacing to Contents Left:  1.00 cm
First Column:  7.50 cm
Column Spacing:  1.00 cm
Second Column:  7.50 cm
================
Total:  21.00 cm

Border with only Spacing to Contents on the Right:
1. Using previous test,  Format → Page → Borders tab, change Spacing to Contents Left to 0.00 cm and Right to 1.00 cm.
2. On Columns tab, notice the Width is now 7.50 cm for each column and the Spacing is 1.00 cm and OK.
Result:
The ruler on the page has not adjusted properly to the change--everything is off by 1.00 cm even though each column is 7.50 cm.  If you go back into the Page dialogue then all the settings are correct.
Page Width:  21.00 cm
================
Left Margin:  2.00 cm
Right Margin:  2.00 cm
Border Spacing to Contents Right:  1.00 cm
First Column:  7.50 cm
Column Spacing:  1.00 cm
Second Column:  7.50 cm
================
Total:  21.00 cm

Border with Spacing to Contents on the Left and Right:
1. Using previous test,  Format → Page → Borders tab, change Spacing to Contents Left to 1.00 cm, leaving Right also at 1.00 cm.
2. On Columns tab, notice the Width is 7.50 cm for each column and the Spacing is 1.00 cm and OK.
Result:
The ruler on the page shows each column to be 7.00 cm.  If you go back into the Page dialogue then all the settings are still the same and have not adjusted.
Page Width:  21.00 cm
================
Left Margin:  2.00 cm
Right Margin:  2.00 cm
Border Spacing to Contents Left:  1.00 cm
Border Spacing to Contents Right:  1.00 cm
First Column:  7.50 cm
Column Spacing:  1.00 cm
Second Column:  7.50 cm
================
Total:  22.00 cm
3. Format → Page → Columns tab, try to change Width for each column to 7.00 cm and Spacing to 1.00 cm.  You can only have 7.00 cm and 8.00 cm.  Choose 8.00 cm in first column and OK.
Result:
The ruler shows the first column as 7.50 cm and the second as 6.50 cm.  If you go back into the Page dialogue then all the settings have reverted back to 7.50 cm.  If you OK here then the columns in the ruler go back to 7.00 cm each.  The settings are still 7.50 cm.

Windows Vista 64
Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16

Version: 5.1.0.0.alpha1+
Build ID: cba920edf88bef06a6689e7847c5789dd3ee67b7
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-01_04:22:29
Comment 10 QA Administrators 2016-09-20 09:45:48 UTC Comment hidden (obsolete)
Comment 11 m.a.riosv 2017-09-04 21:23:46 UTC
*** Bug 112217 has been marked as a duplicate of this bug. ***
Comment 12 Leandro Martín Drudi 2017-09-04 22:23:20 UTC
Still reproducible in 5.4.1.
1) Edit page property or create a new page style.
2) Set margin to 0
3) Set Border Spacing to Contents to any value.
4) Set columns to different width.
5) Apply.
6) Edit style or page property and the columns with retorn to the same value.

It is a shame that this mistake is still taken as something unimportant. Editing a document becomes very annoying in LibO. Maybe that's why many users have gone to other suites or continue with MS Office.
I am sorry but I am very annoyed by this problem that makes me lose a lot of time in editing a file when it should be something simple.
I upload a video in Bug 112217.
Comment 13 QA Administrators 2018-09-05 02:54:45 UTC Comment hidden (obsolete)
Comment 14 Leandro Martín Drudi 2018-09-05 03:17:04 UTC
The problem remains reproducible in:
Versión: 6.1.0.3 (x64)
Id. de compilación: efb621ed25068d70781dc026f7e9c5187a4decd1
Subprocs. CPU: 4; SO: Windows 10.0; Repres. IU: predet.; 
Configuración regional: es-AR (es_AR); Calc: CL
Comment 15 Leandro Martín Drudi 2018-09-05 03:22:54 UTC
The problem is reproducible under any circumstance as long as edge separation is applied. Even without having set margins in 0.
Comment 16 QA Administrators 2019-09-06 05:01:19 UTC
Dear Manuel Reimer,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug